Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.runtime
Class JDBCPersistenceManagerFactory

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.runtime.PersistenceManagerFactoryImpl
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCPersistenceManagerFactory

All Implemented Interfaces:
  javax.jdo.PersistenceManagerFactory, java.io.Serializable

public class JDBCPersistenceManagerFactory
extends PersistenceManagerFactoryImpl

PersistenceManagerFactory type for use with the JDBC runtime.

See Also:
  Serialized Form

Constructor Summary
`JDBCPersistenceManagerFactory()` Default constructor; however, the factory construction methods are recommended.
`JDBCPersistenceManagerFactory(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)` Construct the factory with the given option settings; however, the factory construction methods are recommended.

Method Summary
`static com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCPersistenceManagerFactory` | `getPersistenceManagerFactory()` Factory method for constructing a PersistenceManagerFactory from the default configuration.
`static com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCPersistenceManagerFactory` | `getPersistenceManagerFactory(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)` Factory method for constructing a PersistenceManagerFactory from a configuration.
`static com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCPersistenceManagerFactory` | `getPersistenceManagerFactory(java.util.Properties props)` Factory method for constructing a PersistenceManagerFactory from properties.
`java.lang.String` | `getPlatform()` Return the platform this persistence manager is running on, such as 'Kodo JDO JDBC Edition: XXX Database".
`protected com.solarmetric.rd.kodo.runtime.StoreManager` | `newStoreManager()` Return a new StoreManager for this runtime.
`protected void` | `setup()` Setup transient state used by this factory based on the current configuration, which will subsequenty be locked down.

Methods inherited from class com.solarmetric.rd.kodo.runtime.PersistenceManagerFactoryImpl
`close, configurePersistenceManager, findPersistenceManager, findTransactionalPersistenceManager, getConfiguration, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionURL, getConnectionUserName, getIgnoreCache, getMaxPool, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManager, getPersistenceManager, getPersistenceManager, getPersistenceManager, getPersistenceManagerFactory, getProperties, getRestoreValues, getRetainValues, lock, newPersistenceManager, pool, readResolve, removeUnsupportedOptions, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setFrozen, setIgnoreCache, setMaxPool, setMinPool, setMsWait, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues, supportedOptions, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCPersistenceManagerFactory

    public JDBCPersistenceManagerFactory()

  Default constructor; however, the factory construction methods are recommended.

### JDBCPersistenceManagerFactory

    public JDBCPersistenceManagerFactory(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)

  Construct the factory with the given option settings; however, the factory construction methods are recommended.

Method Detail

### getPersistenceManagerFactory

    public static com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCPersistenceManagerFactory getPersistenceManagerFactory(java.util.Properties props)

  Factory method for constructing a PersistenceManagerFactory from properties. Invoked from `JDOHelper.getPersistenceManagerFactory(java.util.Properties)`.

### getPersistenceManagerFactory

    public static com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCPersistenceManagerFactory getPersistenceManagerFactory()

  Factory method for constructing a PersistenceManagerFactory from the default configuration.

### getPersistenceManagerFactory

    public static com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCPersistenceManagerFactory getPersistenceManagerFactory(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)

  Factory method for constructing a PersistenceManagerFactory from a configuration.

### getPlatform

    public java.lang.String getPlatform()

  Description copied from class: `PersistenceManagerFactoryImpl`
  Return the platform this persistence manager is running on, such as 'Kodo JDO JDBC Edition: XXX Database".

  Specified by:
    `getPlatform` in class `PersistenceManagerFactoryImpl`

### setup

    protected void setup()

  Description copied from class: `PersistenceManagerFactoryImpl`
  Setup transient state used by this factory based on the current configuration, which will subsequenty be locked down. This method will be called before the first PersistenceManager is requested, and will be re-called each time the factory is deserialized into a JVM that has no configuration for this data store.

  Overrides:
    `setup` in class `PersistenceManagerFactoryImpl`

### newStoreManager

    protected com.solarmetric.rd.kodo.runtime.StoreManager newStoreManager()

  Description copied from class: `PersistenceManagerFactoryImpl`
  Return a new StoreManager for this runtime. Note that the instance returned here may be wrapped before being passed to the `PersistenceManagerFactoryImpl.newPersistenceManager(java.lang.String, java.lang.String, com.solarmetric.rd.kodo.runtime.StoreManager, boolean)` method.

  Specified by:
    `newStoreManager` in class `PersistenceManagerFactoryImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.